tvbrowser.ui.update

## Class PluginAutoUpdater

- java.lang.Object
- - tvbrowser.ui.update.PluginAutoUpdater

-     public class PluginAutoUpdater
      extends java.lang.Object

  A class that searchs for updates of the installed plugins.
  Author:
    René Mach

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_PLUGINS_DOWNLOAD_URL` The default plugins download url
    `static java.lang.String` | `PLUGIN_UPDATES_FILENAME` The name of the updates file.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PluginAutoUpdater()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SoftwareUpdateItem[]` | `getDataServicesForFirstStartup()` Gets the the data services on first TV-Browser start.
    `static SoftwareUpdateItem[]` | `getUpdateItemsForVersionChange()` Gets the the update items for plugins on TV-Browser version change.
    `static void` | `searchForPluginUpdates(javax.swing.JLabel infoLabel)` Search for plugin updates.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PLUGIN_UPDATES_FILENAME

          public static final java.lang.String PLUGIN_UPDATES_FILENAME

      The name of the updates file.
      See Also:
        Constant Field Values

    - #### DEFAULT_PLUGINS_DOWNLOAD_URL

          public static final java.lang.String DEFAULT_PLUGINS_DOWNLOAD_URL

      The default plugins download url
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PluginAutoUpdater

          public PluginAutoUpdater()

  - ### Method Detail

    - #### getUpdateItemsForVersionChange

          public static SoftwareUpdateItem[] getUpdateItemsForVersionChange()
                                                                     throws java.io.IOException

      Gets the the update items for plugins on TV-Browser version change.
      Returns:
        The update items.
      Throws:
        `java.io.IOException`

    - #### getDataServicesForFirstStartup

          public static SoftwareUpdateItem[] getDataServicesForFirstStartup()
                                                                     throws java.io.IOException

      Gets the the data services on first TV-Browser start.
      Returns:
        The data services.
      Throws:
        `java.io.IOException`

    - #### searchForPluginUpdates

          public static void searchForPluginUpdates(javax.swing.JLabel infoLabel)

      Search for plugin updates. (And only updates)
      Parameters:
        `infoLabel` - The label to show the info in.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)